Get object ID
- GET
- /workspaces
- /:workspace
- /identifiers
Get the ID of an object using its human-readable identifier or its ID. The human-readable identifier is resolved first
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/identifiers" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-company",
"domain": "my-company",
"project_identifier": "my-project",
"pipeline_id": 123,
"environment_id": "ZRB20jX6",
"artifact_id": "B81VVP1Z",
"artifact_version_id": "79dMAdl0",
"visual_test_suite_id": "507f1f77bcf86cd799439011",
"crawl_suite_id": "507f1f77bcf86cd799439012",
"distribution_id": "56a5ndQ6",
"target_id": "tg-a1b2c3d4",
"route_id": "ab9R9jPw",
"integration_id": "abc123def456"
}STATUS
200 OK